# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_without examples

# Versioning

%define qtmajor 6
%define qtminor 7
%define qtsubminor 2
%define qtversion  %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtserialport-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtserialport   %mklibname qt%{qtmajor}serialport %{qtmajor}
%define libqtserialport_d %mklibname qt%{qtmajor}serialport -d

Name:           qtserialport6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Serialport component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

BuildRequires:  qtbase6-devel >= %{version}
BuildRequires:  pkgconfig(libudev)
BuildRequires:  ninja
BuildRequires:  qttools6

Provides:       qt%{qtmajor}-qtserialport = %{version}-%{release}

%description
Qt%{qtmajor} Serialport component.

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtSerialport%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtSerialport%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtserialport.qch
%{_qt6_docdir}/qtserialport/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtserialport}
Summary:        Qt%{qtmajor} SerialPort Library
Group:          System/Libraries

%description -n %{libqtserialport}
Qt%{qtmajor} SerialPort Component Library.

Qt Serial Port provides the basic functionality, which includes configuring,
I/O operations, getting and setting the control signals of the RS-232 pinouts.

%files -n %{libqtserialport}
%{_qt6_libdir}/libQt6SerialPort.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtserialport_d}
Summary:        Devel files needed to build apps based on QtSerialport
Group:          Development/KDE and Qt
Requires:       %{libqtserialport} = %version
Provides:       libqtserialport6-devel = %version
Provides:       libqt6serialport-devel = %version
Provides:       qtserialport6-devel = %version
Provides:       qt6serialport-devel = %version

Provides:       libqtserialport6-private-devel = %version
Provides:       libqt6serialport-private-devel = %version
Provides:       qtserialport6-private-devel = %version
Provides:       qt6serialport-private-devel = %version

%description -n %{libqtserialport_d}
Devel files needed to build apps based on Qt Serialport.

%files -n %{libqtserialport_d}
%{_qt6_includedir}/QtSerialPort/
%{_qt6_libdir}/libQt6SerialPort.so
%{_qt6_libdir}/libQt6SerialPort.prl
%{_qt6_libdir}/cmake/Qt6SerialPort/
%{_qt6_libdir}/pkgconfig/Qt6SerialPort.pc
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_serialport.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_serialport_private.pri
%{_qt6_libdir}/qt6/metatypes/qt6serialport_relwithdebinfo_metatypes.json
%{_qt6_libdir}/qt6/modules/SerialPort.json
%if %{with examples}
%{_qt6_examplesdir}/serialport/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSerialPortTestsConfig.cmake

#------------------------------------------------------------------------------

%prep
%setup -q -n qtserialport-everywhere-src-%{qtversion}

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Wed Jul 31 2024 daviddavid <daviddavid> 6.7.2-1.mga10
+ Revision: 2083120
- New version 6.7.2

* Tue Jun 11 2024 daviddavid <daviddavid> 6.7.1-2.mga10
+ Revision: 2072542
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Wed May 22 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2065870
- New version 6.7.1

* Thu Feb 15 2024 daviddavid <daviddavid> 6.6.2-1.mga10
+ Revision: 2041659
- New version 6.6.2

* Thu Oct 19 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 1999057
- New version 6.6.0

* Sun Sep 10 2023 neoclust <neoclust> 6.5.2-1.mga10
+ Revision: 1985841
- New version 6.5.2

* Tue Dec 27 2022 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1927101
- build examples

* Thu Dec 15 2022 neoclust <neoclust> 6.4.1-1.mga9
+ Revision: 1923057
- New version 6.4.1

* Wed Nov 02 2022 ghibo <ghibo> 6.4.0-2.mga9
+ Revision: 1901532
- Rebuild for main
+ neoclust <neoclust>
- New version 6.4.0

* Wed Sep 14 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1888567
- New version 6.3.1

* Sat Jul 30 2022 wally <wally> 6.3.0-2.mga9
+ Revision: 1873233
- disable examples as they needs pkg itself to build
+ neoclust <neoclust>
- New version 6.3.0

* Sun Apr 10 2022 tmb <tmb> 6.2.3-2.mga9
+ Revision: 1848545
- Mageia 9 Mass Rebuild

* Wed Mar 16 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1794412
- New version 6.2.3
+ papoteur <papoteur>
- imported package qtserialport6

